Bug 378921 - NetworkManager-vpnc save group password
NetworkManager-vpnc save group password
Status: CLOSED DUPLICATE of bug 366361
Product: Fedora
Classification: Fedora
Component: NetworkManager-vpnc (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Denis Leroy
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-12 17:09 EST by Mauricio Teixeira
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-21 06:59:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mauricio Teixeira 2007-11-12 17:09:06 EST
Description of problem:

In F7 and F7, NetworkManager-vpnc presented two boxes where you could mark to
save either "group password", "user password" or both. In F8, there is a single
"save passwords in keyring" box that will save both user and group passwords.

Version-Release number of selected component (if applicable):


Additional info:

Storing group and user passwords separately is important security-wise. User
passwords may change frequently, but group passwords will probably not change
for a long time. Suppose you leave your computer unlocked, and someone that
knows the group password (a co-worker, for example) tries to use the connection
with your name, if the user password is not stored, the connection won't be
established. Since both passwords are stored there, it's easy for someone to
take control of the desktop and connecting with that user, without having to
know either.
Comment 1 Denis Leroy 2007-11-21 06:59:44 EST

*** This bug has been marked as a duplicate of 366361 ***

Note You need to log in before you can comment on or make changes to this bug.